%%%%
pick-up

                   <h>Picking up and dropping items</h>
<h>Item letters</h>
Pressing an item's letter key will select the item.
Entering a number before the letter will only select that quantity.

<h>Regular expressions</h>
You can press <w>Ctrl-F</w> to enter a word (or a regular expression).
All matching items will be selected.

<h>Cursor</h>
There are shortcuts to quickly select several items in succession:
<w>.</w>   selects the next item and moves the cursor down
<w>'</w>   moves the cursor down without changing selection
The cursor is usually hidden; pressing <w>.</w> or <w>'</w> makes it appear.

<h>Show weights</h>
Pressing <w>Ctrl-W</w> toggles the display of item weights.

<h>Category shortcuts</h>
You can quickly select items by type by pressing:
<w>!</w>   potions      <w>(</w>   weapons         <w>[</w>   armour       <w>=</w> or <w>"</w>   jewellery
<w>?</w>   scrolls      <w>)</w>   ammunition      <w>/</w>   wands        <w>:</w> or <w>+</w>   books
<w>%</w>   food         <w>&</w>   carrion (corpses, skeletons, useless chunks)
Global selects:  <w>,</w>   select all      <w>*</w>   invert all        <w>-</w>   deselect all
Note that for dropping, the <w>,</w> command uses the <w>drop_filter</w> option, which
narrows the range of items to be (de)selected. The default are useless items.
%%%%
stash-search.prompt

<h>Searching the stash-tracker</h>

You can search for items and dungeon features by name (or a substring of the
name). In the list of search results, you can select a search result by its
hotkey to travel to its location.

Some examples of search strings:
<w>cure mutation</w> find all potions of cure mutation, including potions in shops.
<w>jelly</w>         finds every single royal jelly and heaps of royal jellies.
<w>shop</w>          lists all shops. Press <w>?</w> and a shop's letter for the stock.
<w>Lair:2</w>        find everything known to be on Lair:2.
<w>D:[2-4]</w>       finds everything on Dungeon levels 2-4. Regexes are allowed!
              Note that D:[3-10] will not work as intended, since [x-y] is a
              regex character range.
<w>Lair.*axe</w> and <w>axe && Lair</w> both show all axes in the Lair.

Some shortcuts:
<w>.</w>             lists everything on your current level.
<w>..</w>            lists all items you know.
<w>0</w> to <w>9</w>        lists all items at the specified waypoint.
<w>*</w>             lists all items at all waypoints.

You can also examine shops and items in the search results by pressing <w>?</w> and
then hitting the hotkey for the search result. This will give a description
of the item or the contents of the shop.

The stash search string is case-insensitive.

<h>Searching by item properties:</h>

You can search for spell names (such as <w>Ignite Poison</w>) to find spellbooks
or rods that contain the spell.

You can search for artefact item properties (such as <w>prevents.*teleport</w>)
to find artefacts that have the property.

If you're using stash.lua (which is the default), you can also search by
some additional item properties: <w>artefact</w> will find identified artefacts,
<w>ego</w> will find non-artefacts with a brand and unidentified items which may
be branded, and <w>throwable</w> will find things you can throw. Skill names
(such as <w>Polearms</w> or <w>Long Blades</w>) will find all weapons that train
that skill.

If you're using stash.lua and have set annotate_item_class = true in your
initfile, you can also search by item types such as <w>book</w> or <w>jewellery</w>. For
armour slots, you can use <w>helmet</w> (all head gear), <w>gloves</w>, <w>shield</w>, and <w>body</w>.

<h>Finding Dungeon Features:</h>

You can search for dungeon features by name: all shops will be found by a
search for <w>shop</w> (including shops that do not have "shop" in their name);
other dungeon features can also be found by name: <w>fountain</w>, <w>axe trap</w>,
<w>altar</w>, etc. You can also search for altars by deity name: <w>Zin</w>.

<h>Non-regex operators:</h>

You can use !! to negate a search string, && for a boolean AND, || for
boolean OR, and <<<< >> for grouping.

For instance, to find rings (jewellery) but not ring mail you could use:
<w>ring && !!mail</w>
%%%%
level-map

<h>Level Map ('<w>X</w>' in the main screen):</h>
<w>Esc</w>    : Leave level map (also <w>Space</w> or any unused key).
<w>Dir.</w>   : Move the cursor.
<w>Shift-Dir.</w> : Move the cursor in larger steps (7 by default).
<w>-</w> or <w>+</w> : Scroll level map 20 grids up or down.
<w>.</w>      : Start travel (also <w>Enter</w> and <w>,</w> and <w>;</w>).
         (Moves cursor to the last travel destination if still on @.)
<w>[</w> or <w>]</w> : Examine the next higher or lower level
<w>G</w>      : Go to another level by branch and depth

<h>Travel exclusions</h>
<w>e</w>      : Create a travel exclusion, change its radius, or remove it.
<w>E</w>      : Cycle through travel exclusions.
<w>Ctrl-E</w> : Erase all travel exclusions on the level.

<h>Waypoints</h>
<w>Ctrl-W</w> : Set waypoint to current position.
<w>W</w>      : Cycle through all waypoints on the level.

<h>Cycle through features</h>
<w><<</w> or <w>></w> : Cycle through up or down stairs.
<w>^</w>      : Cycle through traps.
<w>Tab</w>    : Cycle through shops and portals.
<w>*</w>      : Cycle forward through stashes (by default, all items).
<w>/</w>      : Cycle backward through stashes (by default, all items).
<w>_</w>      : Cycle through altars.

<h>Other</h>
<w>!</w>      : Annotate level
<w>Ctrl-C</w> : Clear item and monster memory.
<w>Ctrl-F</w> : Forget level map.{{
if you.wizard() then
    return "\n\n"
          .. "<h>Wizard commands</h>\n"
          .. "<w>T</w>      : Teleport to cursor."
end }}
%%%%
interlevel-travel.branch.prompt

<h>Interlevel Travel (choose a branch):
 Use the shortcut letter for a branch to select the branch for travel.

 Once you select a branch, you will be prompted for a depth in that
 branch (more help is available there).

 <w>Enter</w>  : Repeat last interlevel travel.
 <w>.</w>      : Travel to a level in the current branch.
 <w><<</w>      : Go up the nearest stairs.
 <w>></w>      : Go down the nearest stairs.
 <w>Ctrl-P</w> : Travel to a level in the branch above this one.
 <w>^</w>      : Travel to the entrance of the branch you select.
 <w>*</w>      : Show available waypoints (if any are set).
 <w>0</w>-<w>9</w>    : Go to the numbered waypoint.
%%%%
interlevel-travel.depth.prompt

<h>Interlevel Travel (go to a specific level in the selected branch)
 Type in the level number you want to go to and hit Enter, or use:
 <w>Enter</w>  : Go to the default level.
 <w><<</w>      : Change the default to one level above the current.
 <w>></w>      : Change default to one level below the current.
 <w>-</w> or <w>p</w> : Change default to the branch above this one.
 <w>$</w>      : Change default to deepest visited level in this branch.
 <w>^</w>      : Change default to the entrance to the current level.
%%%%
butchering

<h>Butchering<h>
<w>y, c</w>: Butcher/bottle the selected corpse.
<w>a</w>   : Butcher/bottle this corpse and all the ones following in the stack.
      If the prompt is about bottling the blood, all bloodless corpses
      will be skipped.
<w>q</w>   : Quit the prompt (don't butcher/bottle anything).
<w>n</w>   : Don't butcher/bottle this corpse, skip to the next one.
      (This is the default behaviour if you answer with anything not
       listed here.)

<h>Notes for Tiles</h>
If you are playing with Tiles you can butcher (or bottle) a single
corpse on the ground by clicking the <w>left mouse button</w> while pressing
<w>Shift</w>.
%%%%
skill-menu

                               <h>Skill management</h>
You gain experience for killing monsters (and very few other activities).
This experience is used to train skills. The skill screen allows you to
select which skills to train. Note that you train all activated skills at
once whenever you gain some experience. It is not a bug if you gain a skill
level in Axes after killing a monster with a spell.
A skill can only be trained if there's some available means of exercising it;
see "Training restrictions" below for details.

By pressing its letter, you can cycle if and how a skill is trained:
<darkgrey>- deselected</darkgrey>    Skill will not train at all.
+ selected
<w>* focused</w>       Skill will train faster than others.

Training can be done in two modes, which are toggled with the <w>/</w> key.
* automatic:    Skills are trained based on your use of them.
* manual:       Experience is spread evenly across all activated skills.

How fast you train a skill is governed by the following factors:
* aptitude: Shown <red>red</red> in the Apt column. Higher numbers mean that
      less experience is needed to advance a skill. Depends on species.
* cross-training: Some skills are easier to learn when you already are
      proficient with a related one, e.g. Long and Short Blades.
      The aptitude bonus for crosstraining is indicated in <green>green</green>.
* magic penalties: It is harder to learn an elemental skill if you are
      proficient in the opposing element (Air-Earth, Ice-Fire).
      The aptitude penalty is indicated in <magenta>magenta</magenta>.
On top of that, there are some effects which directly modify a skill, for
example god powers. These skill modifiers are shown in <blue>blue</blue>.
The training percentage (in <brown>brown</brown>) shows the relative amount of experience
which will be used to train this skill.

Apart from (de)selecting skills, you also have the following toggles:
<w>/</w> :   Switch between automatic and manual training.
<w>*</w> :   Shows all skills, even those you can't train yet.
<w>?</w> :   Allows you to read the descriptions of skills.
<w>_</w> :   Shows/hides skill modifiers, e.g. from god powers.

                               <h>Training restrictions</h>
Fighting, Throwing, Dodging, Stealth, Stabbing, Traps & Doors, Unarmed Combat,
and Spellcasting can always be trained. For the rest:
* Weapon skills require carrying a weapon of the appropriate type.
* Armour requires wearing an armour with an evasion penalty.
* Shields requires that you either be wearing a shield, or have the capacity
      to obtain one through magical or divine means.
* Evocations requires carrying an evocable item, or having a Nemelex ability.
* Spell schools require knowing a spell of the school.
* Necromancy can also be trained when having a Kikubaaqudgha ability.
* Invocations requires having at least one divine ability that exercises it.
%%%%
